
// Load dts shapes and merge animations
datablock TSShapeConstructor(CicdaDts)
{
	baseShape  = "./cicada7.dts";
	sequence0  = "./cic_root.dsq root";

	sequence1  = "./cic_run.dsq run";
	sequence2  = "./cic_run.dsq walk";
	sequence3  = "./cic_back.dsq back";
	sequence4  = "./cic_side.dsq side";

	sequence5  = "./cic_root.dsq crouch";
	sequence6  = "./cic_run.dsq crouchRun";
	sequence7  = "./cic_back.dsq crouchBack";
	sequence8  = "./cic_side.dsq crouchSide";

	sequence9  = "./cic_look.dsq look";
	sequence10 = "./cic_root.dsq headside";
	sequence11 = "./cic_root.dsq headUp";

	sequence12 = "./cic_jump.dsq jump";
	sequence13 = "./cic_jump.dsq standjump";
	sequence14 = "./cic_fly_loop.dsq fall";
	sequence15 = "./cic_root.dsq land";

	sequence16 = "./cic_bash.dsq armAttack";
	sequence17 = "./cic_root.dsq armReadyLeft";
	sequence18 = "./cic_root.dsq armReadyRight";
	sequence19 = "./cic_root.dsq armReadyBoth";
	sequence20 = "./cic_root.dsq spearready";  
	sequence21 = "./cic_bash.dsq spearThrow";

	sequence22 = "./cic_root.dsq talk";  

	sequence23 = "./cic_death.dsq death1"; 
	
	sequence24 = "./cic_root.dsq shiftUp";
	sequence25 = "./cic_root.dsq shiftDown";
	sequence26 = "./cic_root.dsq shiftAway";
	sequence27 = "./cic_root.dsq shiftTo";
	sequence28 = "./cic_root.dsq shiftLeft";
	sequence29 = "./cic_root.dsq shiftRight";
	sequence30 = "./cic_root.dsq rotCW";
	sequence31 = "./cic_root.dsq rotCCW";

	sequence32 = "./cic_root.dsq undo";
	sequence33 = "./cic_bash.dsq plant";

	sequence34 = "./cic_root.dsq sit";

	sequence35 = "./cic_bash.dsq wrench";

   sequence36 = "./cic_bash.dsq activate";
   sequence37 = "./cic_bash.dsq activate2";

   sequence38 = "./cic_root.dsq leftrecoil";

   sequence39 = "./cic_fly.dsq Fly";
//   sequence40 = "./cic_playerMount.dsq playerMount";
};    


//datablock AudioProfile(HorseJumpSound)
//{
//   fileName = "./jumpHorse.wav";
//   description = AudioClose3d;
//   preload = true;
//};



datablock PlayerData(Cicda : PlayerStandardArmor)
{
	//category = "Vehicles";
	shapeFile = "./cicada7.dts";
	mass = 120;
	drag = 0.5;

	maxEnergy = 300;	//100
	rechargeRate = 1;
	showEnergyBar = true;

	cameraMaxDist = 6;
	cameraTilt = 0.1;//0.174 * 2.5; //~25 degrees
	cameraVerticalOffset = 2;

	cameradefaultFOV = 90;
	cameraMaxFov = 120;
	cameraMinFov = 10;

	//minlookangle = -1;
	//maxlookangle = -1;
	minlookangle = -1.2;
	maxlookangle = 1.2;

	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
//	jetForce = 2000;

	jumpForce = 14 * 120; //16 * 90;
	jumpDelay = 0;
	jumpsound = "";
	airControl = 0.5;

	maxItems   = 10;	//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;

	maxDamage = 250;	//120

	runforce = 80 * 120;
	maxForwardSpeed = 8;	//9
	maxBackwardSpeed = 6.5;	//7
	maxSideSpeed = 6.5;		//7
	attackpower = 32;
	
	maxForwardCrouchSpeed = 7;
	maxBackwardCrouchSpeed = 5;
	maxSideCrouchSpeed = 5;

	boundingBox			= vectorScale("2.7 2.7 1", 4); //"2.5 2.5 2.4";
	crouchBoundingBox	= vectorScale("2.7 2.7 1", 4); //"2.5 2.5 2.4";
	proneBoundingBox	= vectorScale("2.7 2.7 1", 4); //"2.5 2.5 2.4";

//	maxStepHeight = 0.3;

	minImpactSpeed = 160;
	speedDamageScale = 0.5;

	BrickDestroyMaxVolume = 50;
	BrickMaxJumpHeight = 5;

	uiName = "B2 Cicada";
	rideable = true;
};