// Load dts shapes and merge animations
datablock TSShapeConstructor(MantisDts)
{
	baseShape  = "./praying_mantis2.dts";
	sequence0  = "./mts_root.dsq root";

	sequence1  = "./mts_run.dsq run";
	sequence2  = "./mts_run.dsq walk";
	sequence3  = "./mts_back.dsq back";
	sequence4  = "./mts_side.dsq side";

	sequence5  = "./mts_crouch.dsq crouch";
	sequence6  = "./mts_crouchMove.dsq crouchRun";
	sequence7  = "./mts_crouchBack.dsq crouchBack";
	sequence8  = "./mts_crouchSide.dsq crouchSide";

	sequence9  = "./mts_look.dsq look";
	sequence10 = "./mts_headside.dsq headside";
	sequence11 = "./mts_root.dsq headUp";

	sequence12 = "./mts_jump2.dsq jump";
	sequence13 = "./mts_jump2.dsq standjump";
	sequence14 = "./mts_fly_loop.dsq fall";
	sequence15 = "./mts_root.dsq land";

	sequence16 = "./mts_root.dsq armAttack";
	sequence17 = "./mts_root.dsq armReadyLeft";
	sequence18 = "./mts_root.dsq armReadyRight";
	sequence19 = "./mts_root.dsq armReadyBoth";
	sequence20 = "./mts_root.dsq spearready";  
	sequence21 = "./mts_grab.dsq spearThrow";

	sequence22 = "./mts_eat.dsq talk";  

	sequence23 = "./mts_death.dsq death1"; 
	
	sequence24 = "./mts_root.dsq shiftUp";
	sequence25 = "./mts_root.dsq shiftDown";
	sequence26 = "./mts_root.dsq shiftAway";
	sequence27 = "./mts_root.dsq shiftTo";
	sequence28 = "./mts_slash_left.dsq shiftLeft";
	sequence29 = "./mts_slash_right.dsq shiftRight";
	sequence30 = "./mts_root.dsq rotCW";
	sequence31 = "./mts_root.dsq rotCCW";

	sequence32 = "./mts_root.dsq undo";
	sequence33 = "./mts_root.dsq plant";

	sequence34 = "./mts_fightingStance.dsq sit";

	sequence35 = "./mts_root.dsq wrench";

   sequence36 = "./mts_slash_right.dsq activate";
   sequence37 = "./mts_slash_right.dsq activate2";

   sequence38 = "./mts_root.dsq leftrecoil";
   
   sequence39 = "./mts_root.dsq stingReady";	//stingReady so it will work with scorpion sting weapons
   sequence40 = "./mts_fly.dsq Fly";
};    

datablock PlayerData(MantisZombie : PlayerStandardArmor)
{
	//category = "Vehicles";
	shapeFile = "./praying_mantis2.dts";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 10;	//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;
	runforce = 50 * 90;
	maxForwardSpeed = 9.5;	//9
	maxBackwardSpeed = 8.5;	//8
	maxSideSpeed = 8.5;		//8
	maxForwardCrouchSpeed = 8;
	maxBackwardCrouchSpeed = 7;
	maxSideCrouchSpeed = 7;
	jumpForce = 10 * 90; //11 * 90;
    jumpDelay = 0;
	attackpower = 45;	//25
	//jumpsound = "ZombieJumpSound";
	cameradefaultFOV = 90;
	cameraMaxFov = 120;
	cameraMinFov = 10;
	//minlookangle = -1;
	//maxlookangle = -1;
	minlookangle = -1.5708;
	maxlookangle = 1.5708;
	BrickDestroyMaxVolume = 250;
	BrickMaxJumpHeight = 3;
	uiName = "B2 Praying Mantis";
	rideable = true;

	boundingBox				= vectorScale("2.8 2.8 4.1", 4); //"2.5 2.5 2.4";
    crouchBoundingBox		= vectorScale("2.8 2.8 1.9", 4); //"2.5 2.5 2.4";
    proneBoundingBox		= vectorScale("2.8 2.8 1.9", 4); //"2.5 2.5 2.4";
//	mass = 50;
    minImpactSpeed = 160;
	speedDamageScale = 0.5;    
	numMountPoints = 0;
	airControl		= 0.45;
	maxStepHeight = 1.4;

//	isLargeEnemy = 1;

};