// Load dts shapes and merge animations
datablock TSShapeConstructor(PoisonMiteDts)
{
	baseShape  = "./poison_mite2.dts";
	sequence0  = "./psmt_root.dsq root";

	sequence1  = "./psmt_run.dsq run";
	sequence2  = "./psmt_run.dsq walk";
	sequence3  = "./psmt_back.dsq back";
	sequence4  = "./psmt_side.dsq side";

	sequence5  = "./psmt_root.dsq crouch";
	sequence6  = "./psmt_run.dsq crouchRun";
	sequence7  = "./psmt_back.dsq crouchBack";
	sequence8  = "./psmt_side.dsq crouchSide";

	sequence9  = "./psmt_root.dsq look";
	sequence10 = "./psmt_root.dsq headside";
	sequence11 = "./psmt_root.dsq headUp";

	sequence12 = "./psmt_jump.dsq jump";
	sequence13 = "./psmt_jump.dsq standjump";
	sequence14 = "./psmt_fall.dsq fall";
	sequence15 = "./psmt_root.dsq land";

	sequence16 = "./psmt_attack.dsq armAttack";
	sequence17 = "./psmt_root.dsq armReadyLeft";
	sequence18 = "./psmt_root.dsq armReadyRight";
	sequence19 = "./psmt_root.dsq armReadyBoth";
	sequence20 = "./psmt_root.dsq spearready";  
	sequence21 = "./psmt_attack.dsq spearThrow";

	sequence22 = "./psmt_attack.dsq talk";  

	sequence23 = "./psmt_death.dsq death1"; 
	
	sequence24 = "./psmt_root.dsq shiftUp";
	sequence25 = "./psmt_root.dsq shiftDown";
	sequence26 = "./psmt_root.dsq shiftAway";
	sequence27 = "./psmt_root.dsq shiftTo";
	sequence28 = "./psmt_root.dsq shiftLeft";
	sequence29 = "./psmt_root.dsq shiftRight";
	sequence30 = "./psmt_root.dsq rotCW";
	sequence31 = "./psmt_root.dsq rotCCW";

	sequence32 = "./psmt_root.dsq undo";
	sequence33 = "./psmt_attack.dsq plant";

	sequence34 = "./psmt_death.dsq sit";

	sequence35 = "./psmt_root.dsq wrench";

   sequence36 = "./psmt_attack.dsq activate";
   sequence37 = "./psmt_attack.dsq activate2";

   sequence38 = "./psmt_root.dsq leftrecoil";
};    

//datablock AudioProfile(MitePainSound)
//{
//   fileName = "./psmt_pain.wav";
//   description = AudioClose3d;
//   preload = true;
//};
//datablock AudioProfile(MiteDeathSound)
//{
//   fileName = "./psmt_death.wav";
//   description = AudioClose3d;
//   preload = true;
//};

datablock PlayerData(PoisonMiteArmor : PlayerStandardArmor)
{
//	category = Armor;
	shapeFile = "./poison_mite2.dts";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 10;		//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;

	maxDamage = 50;			//65
	runforce = 70 * 90;
	maxForwardSpeed = 11;	//10.5
	maxBackwardSpeed = 9;
	maxSideSpeed = 6;		//5
//	attackpower = 20;
	jumpsound = "";
	
    boundingBox				= vectorScale("1.1 1.1 0.5", 4); //"2.5 2.5 2.4" 
    crouchBoundingBox		= vectorScale("1.1 1.1 0.5", 4); //"2.5 2.5 2.4";
	proneBoundingBox		= vectorScale("1.1 1.1 0.5", 4); //"2.5 2.5 2.4";

	maxForwardCrouchSpeed = 4;
	maxBackwardCrouchSpeed = 3;		//2
	maxSideCrouchSpeed = 3;			//2

	mass = 100;

    maxStepHeight = 0.4; 

	jumpForce = 10.5 * 100; //10 * 100;
	jumpDelay = 0.2;	

	minImpactSpeed = 25;	//20
	speedDamageScale = 3;	//4.3

	BrickDestroyMaxVolume = 150;
	BrickMaxJumpHeight = 10;
	uiName = "B4 Poison Mite";
	rideable = false;		//true
};