// Load dts shapes and merge animations
datablock TSShapeConstructor(BluewaspArmorDts)
{
	baseShape  = "./blue_wasp2.dts";
	sequence0  = "./blwsp_root.dsq root";

	sequence1  = "./blwsp_run.dsq run";
	sequence2  = "./blwsp_run.dsq walk";
	sequence3  = "./blwsp_back.dsq back";
	sequence4  = "./blwsp_side.dsq side";

	sequence5  = "./blwsp_crouch.dsq crouch";
	sequence6  = "./blwsp_crouchMove.dsq crouchRun";
	sequence7  = "./blwsp_root.dsq crouchBack";
	sequence8  = "./blwsp_root.dsq crouchSide";

	sequence9  = "./blwsp_root.dsq look";
	sequence10 = "./blwsp_root.dsq headside";
	sequence11 = "./blwsp_root.dsq headUp";

	sequence12 = "./blwsp_jump.dsq jump";
	sequence13 = "./blwsp_jump.dsq standjump";
	sequence14 = "./blwsp_fly_loop.dsq fall";
	sequence15 = "./blwsp_root.dsq land";

	sequence16 = "./blwsp_root.dsq armAttack";
	sequence17 = "./blwsp_root.dsq armReadyLeft";
	sequence18 = "./blwsp_root.dsq armReadyRight";
	sequence19 = "./blwsp_root.dsq armReadyBoth";
	sequence20 = "./blwsp_root.dsq spearready";  
	sequence21 = "./blwsp_bite.dsq spearThrow";

	sequence22 = "./blwsp_bite.dsq talk";  

	sequence23 = "./blwsp_death.dsq death1"; 
	
	sequence24 = "./blwsp_root.dsq shiftUp";
	sequence25 = "./blwsp_root.dsq shiftDown";
	sequence26 = "./blwsp_root.dsq shiftAway";
	sequence27 = "./blwsp_root.dsq shiftTo";
	sequence28 = "./blwsp_root.dsq shiftLeft";
	sequence29 = "./blwsp_root.dsq shiftRight";
	sequence30 = "./blwsp_root.dsq rotCW";
	sequence31 = "./blwsp_root.dsq rotCCW";

	sequence32 = "./blwsp_root.dsq undo";
	sequence33 = "./blwsp_bite.dsq plant";

	sequence34 = "./blwsp_crouch.dsq sit";

	sequence35 = "./blwsp_bite.dsq wrench";

   sequence36 = "./blwsp_bite.dsq activate";
   sequence37 = "./blwsp_bite.dsq activate2";

   sequence38 = "./blwsp_root.dsq leftrecoil";
   
   sequence39 = "./blwsp_sting_ready.dsq stingReady";	//stingReady so it will work with scorpion sting weapons
   sequence40 = "./blwsp_fly.dsq Fly";
   sequence41 = "./blwsp_sting.dsq sting";
};

datablock PlayerData(BluewaspArmor : PlayerStandardArmor)
{
	//category = "Vehicles";
	shapeFile = "./blue_wasp2.dts";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 10;	//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;
	runforce = 100 * 90;
	maxForwardSpeed = 13;	//11
	maxBackwardSpeed = 11;
	maxSideSpeed = 11;
	maxForwardCrouchSpeed = 10;
	maxBackwardCrouchSpeed = 9;
	maxSideCrouchSpeed = 7;
	jumpForce = 10 * 90; //8.3 * 90;
    jumpDelay = 0;
//	attackpower = 25;
	//jumpsound = "ArmorJumpSound";
	cameradefaultFOV = 90;
	cameraMaxFov = 120;
	cameraMinFov = 10;
	//minlookangle = -1;
	//maxlookangle = -1;
	minlookangle = -1.5708;
	maxlookangle = 1.5708;
//	BrickDestroyMaxVolume = 250;
//	BrickMaxJumpHeight = 3;
	uiName = "B4 Blue Wasp";
	rideable = true;
	airControl = 8;
};