// Load dts shapes and merge animations
if(!isObject(HorseDts))
{
datablock TSShapeConstructor(HorseDts)
{
	baseShape  = "./berg.dts";
	sequence0  = "./br_root.dsq root";

	sequence1  = "./br_run.dsq run";
	sequence2  = "./br_run.dsq walk";
	sequence3  = "./br_back.dsq back";
	sequence4  = "./br_side.dsq side";

	sequence5  = "./br_crouch.dsq crouch";
	sequence6  = "./br_crouchmove.dsq crouchRun";
	sequence7  = "./br_crouchback.dsq crouchBack";
	sequence8  = "./br_crouchside.dsq crouchSide";

	sequence9  = "./br_look.dsq look";
	sequence10 = "./br_headside.dsq headside";
	sequence11 = "./br_root.dsq headUp";

	sequence12 = "./br_jump.dsq jump";
	sequence13 = "./br_jumpstand.dsq standjump";
	sequence14 = "./br_fall.dsq fall";
	sequence15 = "./br_land.dsq land";

	sequence16 = "./br_biteAttack.dsq armAttack";
	sequence17 = "./br_root.dsq armReadyLeft";
	sequence18 = "./br_root.dsq armReadyRight";
	sequence19 = "./br_root.dsq armReadyBoth";
	sequence20 = "./br_root.dsq spearready";  
	sequence21 = "./br_root.dsq spearThrow";

	sequence22 = "./br_root.dsq talk";  

	sequence23 = "./br_death.dsq death1"; 
	
	sequence24 = "./br_root.dsq shiftUp";
	sequence25 = "./br_root.dsq shiftDown";
	sequence26 = "./br_root.dsq shiftAway";
	sequence27 = "./br_root.dsq shiftTo";
	sequence28 = "./br_root.dsq shiftLeft";
	sequence29 = "./br_root.dsq shiftRight";
	sequence30 = "./br_root.dsq rotCW";
	sequence31 = "./br_root.dsq rotCCW";

	sequence32 = "./br_root.dsq undo";
	sequence33 = "./br_root.dsq plant";

	sequence34 = "./br_root.dsq sit";

	sequence35 = "./br_root.dsq wrench";

   sequence36 = "./br_biteAttack.dsq activate";
   sequence37 = "./br_attackLight.dsq activate2";

   sequence38 = "./br_root.dsq leftrecoil";
};   
} 


datablock PlayerData(BergZombie : PlayerStandardArmor)
{
	shapeFile = "./berg.dts";
	//category = "Vehicles";
	maxDamage = 3000;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 10;	//total number of bricks you can carry
	maxWeapons = 0;		//this will be controlled by mini-game code
	maxTools = 0;
	runforce = 100 * 90;
	maxForwardSpeed = 12;
	maxBackwardSpeed = 6;
	maxSideSpeed = 6;
	attackpower = 26;
	cameradefaultFOV = 90;
	cameraMaxFov = 120;
	cameraMinFov = 10;
	//minlookangle = -1;
	//maxlookangle = -1;
	minlookangle = -1.5708;
	maxlookangle = 1.5708;
	BrickDestroyMaxVolume = 250;
	BrickMaxJumpHeight = 20;
	uiName = "Berg";
	rideable = true;
	canRide = false;

	boundingBox			= vectorScale("2.2 2.2 1.5", 4);
	crouchBoundingBox	= vectorScale("2.2 2.2 1.2", 4);
};