// Load dts shapes and merge animations
datablock TSShapeConstructor(ScorpionNEWDts)
{
	baseShape  = "./scorpion4.dts";
	sequence0  = "./sc_root.dsq root";

	sequence1  = "./sc_runNEW.dsq run";
	sequence2  = "./sc_walk.dsq walk";
	sequence3  = "./sc_back.dsq back";
	sequence4  = "./sc_side.dsq side";

	sequence5  = "./sc_crouch.dsq crouch";
	sequence6  = "./sc_crouchRun.dsq crouchRun";
	sequence7  = "./sc_crouchBack.dsq crouchBack";
	sequence8  = "./sc_crouchSide.dsq crouchSide";

	sequence9  = "./sc_root.dsq look";
	sequence10 = "./sc_headside.dsq headside";
	sequence11 = "./sc_root.dsq headUp";

	sequence12 = "./sc_jump.dsq jump";
	sequence13 = "./sc_jump.dsq standjump";
	sequence14 = "./sc_fall.dsq fall";
	sequence15 = "./sc_root.dsq land";

	sequence16 = "./sc_root.dsq armAttack";
	sequence17 = "./sc_root.dsq armReadyLeft";
	sequence18 = "./sc_root.dsq armReadyRight";
	sequence19 = "./sc_root.dsq armReadyBoth";
	sequence20 = "./sc_root.dsq spearready";  
	sequence21 = "./sc_root.dsq spearThrow";

	sequence22 = "./sc_root.dsq talk";  

	sequence23 = "./sc_death1.dsq death1"; 
	
	sequence24 = "./sc_root.dsq shiftUp";
	sequence25 = "./sc_root.dsq shiftDown";
	sequence26 = "./sc_root.dsq shiftAway";
	sequence27 = "./sc_root.dsq shiftTo";
	sequence28 = "./sc_root.dsq shiftLeft";
	sequence29 = "./sc_root.dsq shiftRight";
	sequence30 = "./sc_root.dsq rotCW";
	sequence31 = "./sc_root.dsq rotCCW";

	sequence32 = "./sc_root.dsq undo";
	sequence33 = "./sc_attack2.dsq plant";

	sequence34 = "./sc_root.dsq sit";

	sequence35 = "./sc_root.dsq wrench";

   sequence36 = "./sc_attack2.dsq activate";
   sequence37 = "./sc_attack2.dsq activate2";

   sequence38 = "./sc_root.dsq leftrecoil";

	//scorpion sting animations
   sequence39 = "./sc_stingREADY.dsq stingReady";
   sequence40 = "./sc_stingNEW.dsq sting";
};    

datablock PlayerData(ScorpionHoleBot : PlayerStandardArmor)
{
//	renderFirstPerson = true;
//    emap = false;
	
//	category = Armor;
	shapeFile = "./scorpion4.dts";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 10;		//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;

	maxDamage = 500;
	runforce = 30 * 3000;
	maxForwardSpeed = 10.5;
	maxBackwardSpeed = 8;
	maxSideSpeed = 9.5;
	jumpsound = "";

	maxForwardCrouchSpeed = 4;
	maxBackwardCrouchSpeed = 3;
	maxSideCrouchSpeed = 3;

	boundingBox				= vectorScale("3.6 3.6 1.4", 4); //"3.6 3.6 2.4";
	crouchBoundingBox		= vectorScale("3.6 3.6 1.0", 4); //"3.6 3.6 2.4";
	proneBoundingBox		= vectorScale("3.6 3.6 1.4", 4); //"2.5 2.5 2.4";

	mass = 3000;	//250
	drag = 0.01;	//0.45

	jumpForce = 7.4 * 3000; //7.3 * 850;
    jumpDelay = 0.1;

//	maxStepHeight = 1.4;	//0.5

//        minImpactSpeed = 160;
//        speedDamageScale = 4.8;

	uiName = "B1 Scorpion";
	rideable = false;
	

};