// Load dts shapes and merge animations
datablock TSShapeConstructor(BigMiteArmorDts)
{
	baseShape  = "./big_mite2.dts";
	sequence0  = "./bgmt_root.dsq root";

	sequence1  = "./bgmt_run.dsq run";
	sequence2  = "./bgmt_run.dsq walk";
	sequence3  = "./bgmt_back.dsq back";
	sequence4  = "./bgmt_side.dsq side";

	sequence5  = "./bgmt_root.dsq crouch";
	sequence6  = "./bgmt_run.dsq crouchRun";
	sequence7  = "./bgmt_back.dsq crouchBack";
	sequence8  = "./bgmt_side.dsq crouchSide";

	sequence9  = "./bgmt_root.dsq look";
	sequence10 = "./bgmt_root.dsq headside";
	sequence11 = "./bgmt_root.dsq headUp";

	sequence12 = "./bgmt_jump.dsq jump";
	sequence13 = "./bgmt_jump.dsq standjump";
	sequence14 = "./bgmt_fall.dsq fall";
	sequence15 = "./bgmt_root.dsq land";

	sequence16 = "./bgmt_attack.dsq armAttack";
	sequence17 = "./bgmt_root.dsq armReadyLeft";
	sequence18 = "./bgmt_root.dsq armReadyRight";
	sequence19 = "./bgmt_root.dsq armReadyBoth";
	sequence20 = "./bgmt_root.dsq spearready";  
	sequence21 = "./bgmt_attack.dsq spearThrow";

	sequence22 = "./bgmt_attack.dsq talk";  

	sequence23 = "./bgmt_death.dsq death1"; 
	
	sequence24 = "./bgmt_attack.dsq shiftUp";
	sequence25 = "./bgmt_root.dsq shiftDown";
	sequence26 = "./bgmt_attack.dsq shiftAway";
	sequence27 = "./bgmt_root.dsq shiftTo";
	sequence28 = "./bgmt_root.dsq shiftLeft";
	sequence29 = "./bgmt_root.dsq shiftRight";
	sequence30 = "./bgmt_root.dsq rotCW";
	sequence31 = "./bgmt_root.dsq rotCCW";

	sequence32 = "./bgmt_root.dsq undo";
	sequence33 = "./bgmt_root.dsq plant";

	sequence34 = "./bgmt_death.dsq sit";

	sequence35 = "./bgmt_attack.dsq wrench";

   sequence36 = "./bgmt_attack.dsq activate";
   sequence37 = "./bgmt_attack.dsq activate2";

   sequence38 = "./bgmt_attack.dsq leftrecoil";
};    

//datablock AudioProfile(MitePainSound)
//{
//   fileName = "./mite_pain.wav";
//   description = AudioClose3d;
//   preload = true;
//};
//datablock AudioProfile(MiteDeathSound)
//{
//   fileName = "./mite_death.wav";
//   description = AudioClose3d;
//   preload = true;
//};

datablock PlayerData(BigMiteArmor : PlayerStandardArmor)
{
//	category = Armor;
	shapeFile = "./big_mite2.dts";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 10;		//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;

	maxDamage = 100;	//80
	runforce = 70 * 150;
	maxForwardSpeed = 11.5;	//9
	maxBackwardSpeed = 9;	//8
	maxSideSpeed = 7;
//	attackpower = 22;
	jumpsound = "";
	
    boundingBox				= vectorScale("1.65 1.65 0.65", 4); //"2.5 2.5 2.4" 
    crouchBoundingBox		= vectorScale("1.65 1.65 0.65", 4); //"2.5 2.5 2.4";
	proneBoundingBox		= vectorScale("1.65 1.65 0.65", 4); //"2.5 2.5 2.4";

	maxForwardCrouchSpeed = 5;
	maxBackwardCrouchSpeed = 5;
	maxSideCrouchSpeed = 4;

	mass = 150;

	jumpForce = 10.3 * 150; //9.3 * 90;
	jumpDelay = 0.1;	

	minImpactSpeed = 25;	//28
	speedDamageScale = 3;	//4.3

	maxStepHeight = 0.5;

	BrickDestroyMaxVolume = 150;
	BrickMaxJumpHeight = 10;
	uiName = "B4 Soldier Mite";
	rideable = false;	//true
};