// Load dts shapes and merge animations
datablock TSShapeConstructor(BugQueenDts)
{
	baseShape  = "./bugQueen1.dts";
	sequence0  = "./bQen_root.dsq root";

	sequence1  = "./bQen_run.dsq run";
	sequence2  = "./bQen_run.dsq walk";
	sequence3  = "./bQen_back.dsq back";
	sequence4  = "./bQen_side.dsq side";

	sequence5  = "./bQen_root.dsq crouch";
	sequence6  = "./bQen_run.dsq crouchRun";
	sequence7  = "./bQen_back.dsq crouchBack";
	sequence8  = "./bQen_side.dsq crouchSide";

	sequence9  = "./bQen_look.dsq look";
	sequence10 = "./bQen_root.dsq headside";
	sequence11 = "./bQen_root.dsq headUp";

	sequence12 = "./bQen_standjump.dsq jump";
	sequence13 = "./bQen_standjump.dsq standjump";
	sequence14 = "./bQen_fall.dsq fall";
	sequence15 = "./bQen_root.dsq land";

	sequence16 = "./bQen_attack.dsq armAttack";
	sequence17 = "./bQen_root.dsq armReadyLeft";
	sequence18 = "./bQen_root.dsq armReadyRight";
	sequence19 = "./bQen_root.dsq armReadyBoth";
	sequence20 = "./bQen_root.dsq spearready";  
	sequence21 = "./bQen_root.dsq spearThrow";

	sequence22 = "./bQen_root.dsq talk";  

	sequence23 = "./bQen_death.dsq death1"; 
	
	sequence24 = "./bQen_root.dsq shiftUp";
	sequence25 = "./bQen_root.dsq shiftDown";
	sequence26 = "./bQen_attack.dsq shiftAway";
	sequence27 = "./bQen_root.dsq shiftTo";
	sequence28 = "./bQen_root.dsq shiftLeft";
	sequence29 = "./bQen_root.dsq shiftRight";
	sequence30 = "./bQen_root.dsq rotCW";
	sequence31 = "./bQen_root.dsq rotCCW";

	sequence32 = "./bQen_root.dsq undo";
	sequence33 = "./bQen_attack.dsq plant";

	sequence34 = "./bQen_death.dsq sit";

	sequence35 = "./bQen_attack.dsq wrench";

   sequence36 = "./bQen_attack.dsq activate";
   sequence37 = "./bQen_attack.dsq activate2";

   sequence38 = "./bQen_attack.dsq leftrecoil";
};    

//datablock AudioProfile(BugPainSound)
//{
//   fileName = "./bQen_pain.wav";
//   description = AudioClose3d;
//   preload = true;
//};
//datablock AudioProfile(BugDeathSound)
//{
//   fileName = "./bQen_death.wav";
//   description = AudioClose3d;
//   preload = true;
//};

datablock PlayerData(BugQueenArmor : PlayerStandardArmor)
{
//	category = Armor;
	shapeFile = "./bugQueen1.dts";

	cameraMaxDist = 4;
	cameraTilt = 0.1;//0.174 * 2.5; //~25 degrees
    cameraVerticalOffset = 1;
	computeCRC = false;
	
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 10;		//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;

	maxDamage = 100;	//60
	runforce = 60 * 75;	//50 * 90
	maxForwardSpeed = 4.6;	//3.8
	maxBackwardSpeed = 2;	//3
	maxSideSpeed = 2;
//	attackpower = 17;
	jumpsound = "";
	
    boundingBox				= vectorScale("1.6 1.6 0.8", 4); //"2.5 2.5 2.4";
    crouchBoundingBox		= vectorScale("1.6 1.6 0.8", 4); //"2.5 2.5 2.4";
    proneBoundingBox		= vectorScale("1.6 1.6 0.8", 4); //"2.5 2.5 2.4";
	
	maxForwardCrouchSpeed = 2;
	maxBackwardCrouchSpeed = 2;
	maxSideCrouchSpeed = 1;

	mass = 75;

	jumpForce = 6.5 * 90; //6 * 90;
    jumpDelay = 0.5;

	maxStepHeight = 0.4;

	minImpactSpeed = 22;	//18
	speedDamageScale = 4;	//4.3
 
	useCustomPainEffects = true;
	PainSound			= BugPainSound;
	DeathSound			= BugDeathSound;

	BrickDestroyMaxVolume = 150;
	BrickMaxJumpHeight = 0;
	uiName = "B4 Bug Queen";
	rideable = false;	//true
};