// Load dts shapes and merge animations
datablock TSShapeConstructor(GuardBugDts)
{
	baseShape  = "./guardBug2.dts";
	sequence0  = "./gadB_root.dsq root";

	sequence1  = "./gadB_run.dsq run";
	sequence2  = "./gadB_run.dsq walk";
	sequence3  = "./gadB_back.dsq back";
	sequence4  = "./gadB_side.dsq side";

	sequence5  = "./gadB_root.dsq crouch";
	sequence6  = "./gadB_run.dsq crouchRun";
	sequence7  = "./gadB_back.dsq crouchBack";
	sequence8  = "./gadB_side.dsq crouchSide";

	sequence9  = "./gadB_look.dsq look";
	sequence10 = "./gadB_root.dsq headside";
	sequence11 = "./gadB_root.dsq headUp";

	sequence12 = "./gadB_jump.dsq jump";
	sequence13 = "./gadB_jumpstand.dsq standjump";
	sequence14 = "./gadB_fall.dsq fall";
	sequence15 = "./gadB_root.dsq land";

	sequence16 = "./gadB_attack.dsq armAttack";
	sequence17 = "./gadB_root.dsq armReadyLeft";
	sequence18 = "./gadB_root.dsq armReadyRight";
	sequence19 = "./gadB_root.dsq armReadyBoth";
	sequence20 = "./gadB_root.dsq spearready";  
	sequence21 = "./gadB_attack.dsq spearThrow";

	sequence22 = "./gadB_talk.dsq talk";  

	sequence23 = "./gadB_death1.dsq death1"; 
	
	sequence24 = "./gadB_root.dsq shiftUp";
	sequence25 = "./gadB_root.dsq shiftDown";
	sequence26 = "./gadB_attack.dsq shiftAway";
	sequence27 = "./gadB_root.dsq shiftTo";
	sequence28 = "./gadB_root.dsq shiftLeft";
	sequence29 = "./gadB_root.dsq shiftRight";
	sequence30 = "./gadB_root.dsq rotCW";
	sequence31 = "./gadB_root.dsq rotCCW";

	sequence32 = "./gadB_root.dsq undo";
	sequence33 = "./gadB_spit.dsq plant";

	sequence34 = "./gadB_death1.dsq sit";

	sequence35 = "./gadB_attack.dsq wrench";

   sequence36 = "./gadB_attack.dsq activate";
   sequence37 = "./gadB_attack.dsq activate2";

   sequence38 = "./gadB_attack.dsq leftrecoil";
};    

//datablock AudioProfile(BugPainSound)
//{
//   fileName = "./gadB_pain.wav";
//   description = AudioClose3d;
//   preload = true;
//};
//datablock AudioProfile(BugDeathSound)
//{
//   fileName = "./gadB_death.wav";
//   description = AudioClose3d;
//   preload = true;
//};

datablock PlayerData(GuardBug : PlayerStandardArmor)
{
//	category = Armor;
	shapeFile = "./guardBug2.dts";

	cameraMaxDist = 4;
	cameraTilt = 0.1;//0.174 * 2.5; //~25 degrees
    cameraVerticalOffset = 1;
	computeCRC = false;

	rechargeRate = 0.6; 	//0.5
	maxEnergy = 100;
	showEnergyBar = true;

	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 10;		//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;

	maxDamage = 160;		//130
	runforce = 60 * 75;	//50 * 90
	maxForwardSpeed = 4.2;	//2.9
	maxBackwardSpeed = 2.6;
	maxSideSpeed = 2;
//	attackpower = 15;
	jumpsound = "";
	
    boundingBox				= vectorScale("1.3 1.3 0.8", 4); //"2.5 2.5 2.4";
    crouchBoundingBox		= vectorScale("1.3 1.3 0.8", 4); //"2.5 2.5 2.4";
    proneBoundingBox		= vectorScale("1.3 1.3 0.8", 4); //"2.5 2.5 2.4";
	
	maxForwardCrouchSpeed = 2;
	maxBackwardCrouchSpeed = 2;
	maxSideCrouchSpeed = 2;

	mass = 75;

	jumpForce = 6.5 * 90; //6 * 90;
    jumpDelay = 0.5;

	maxStepHeight = 0.4;

	minImpactSpeed = 25;	//20
	speedDamageScale = 2.8;	//3
 
	useCustomPainEffects = true;
	PainSound			= BugPainSound;
	DeathSound			= BugDeathSound;

	BrickDestroyMaxVolume = 150;
	BrickMaxJumpHeight = 0;
	uiName = "B4 Guard Bug";
	rideable = false;		//true
};