// Load dts shapes and merge animations
datablock TSShapeConstructor(MiteQueenDts)
{
	baseShape  = "./queen_mite.dts";
	sequence0  = "./qumt_root.dsq root";

	sequence1  = "./qumt_run.dsq run";
	sequence2  = "./qumt_run.dsq walk";
	sequence3  = "./qumt_back.dsq back";
	sequence4  = "./qumt_side.dsq side";

	sequence5  = "./qumt_root.dsq crouch";
	sequence6  = "./qumt_run.dsq crouchRun";
	sequence7  = "./qumt_back.dsq crouchBack";
	sequence8  = "./qumt_side.dsq crouchSide";

	sequence9  = "./qumt_root.dsq look";
	sequence10 = "./qumt_root.dsq headside";
	sequence11 = "./qumt_root.dsq headUp";

	sequence12 = "./qumt_jump.dsq jump";
	sequence13 = "./qumt_jump.dsq standjump";
	sequence14 = "./qumt_fall.dsq fall";
	sequence15 = "./qumt_root.dsq land";

	sequence16 = "./qumt_bite.dsq armAttack";
	sequence17 = "./qumt_root.dsq armReadyLeft";
	sequence18 = "./qumt_root.dsq armReadyRight";
	sequence19 = "./qumt_root.dsq armReadyBoth";
	sequence20 = "./qumt_root.dsq spearready";  
	sequence21 = "./qumt_root.dsq spearThrow";

	sequence22 = "./qumt_root.dsq talk";  

	sequence23 = "./qumt_death.dsq death1"; 
	
	sequence24 = "./qumt_root.dsq shiftUp";
	sequence25 = "./qumt_root.dsq shiftDown";
	sequence26 = "./qumt_bite.dsq shiftAway";
	sequence27 = "./qumt_root.dsq shiftTo";
	sequence28 = "./qumt_root.dsq shiftLeft";
	sequence29 = "./qumt_root.dsq shiftRight";
	sequence30 = "./qumt_root.dsq rotCW";
	sequence31 = "./qumt_root.dsq rotCCW";

	sequence32 = "./qumt_root.dsq undo";
	sequence33 = "./qumt_bite.dsq plant";

	sequence34 = "./qumt_death.dsq sit";

	sequence35 = "./qumt_bite.dsq wrench";

   sequence36 = "./qumt_bite.dsq activate";
   sequence37 = "./qumt_bite.dsq activate2";

   sequence38 = "./qumt_bite.dsq leftrecoil";
};    

//datablock AudioProfile(MitePainSound)
//{
//   fileName = "./qumt_pain.wav";
//   description = AudioClose3d;
//   preload = true;
//};
//datablock AudioProfile(MiteDeathSound)
//{
//   fileName = "./qumt_death.wav";
//   description = AudioClose3d;
//   preload = true;
//};

datablock PlayerData(MiteQueenArmor : PlayerStandardArmor)
{
//	category = Armor;
	shapeFile = "./queen_mite.dts";

	cameraMaxDist = 4;
	cameraTilt = 0.1;//0.174 * 2.5; //~25 degrees
    cameraVerticalOffset = 1;
	computeCRC = false;
	
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 10;		//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;

	maxDamage = 90;	//50
	runforce = 60 * 75;	//50 * 90
	maxForwardSpeed = 7.5;	//3.8
	maxBackwardSpeed = 5;	//3
	maxSideSpeed = 4;
//	attackpower = 15;
	jumpsound = "";
	
    boundingBox				= vectorScale("1.65 1.65 0.52", 4); //"2.5 2.5 2.4";
    crouchBoundingBox		= vectorScale("1.65 1.65 0.52", 4); //"2.5 2.5 2.4";
    proneBoundingBox		= vectorScale("1.65 1.65 0.52", 4); //"2.5 2.5 2.4";
	
	maxForwardCrouchSpeed = 3;
	maxBackwardCrouchSpeed = 3;
	maxSideCrouchSpeed = 2;

	mass = 75;

	jumpForce = 6.5 * 90; //4.2 * 90;
    jumpDelay = 0.5;

	maxStepHeight = 0.4;

	minImpactSpeed = 22;	//18
	speedDamageScale = 3;	//4.3
 
	useCustomPainEffects = true;
	PainSound			= MitePainSound;
	DeathSound			= MiteDeathSound;

	BrickDestroyMaxVolume = 150;
	BrickMaxJumpHeight = 0;
	uiName = "B4 Mite Queen";
	rideable = false;		//true
};