// Load dts shapes and merge animations
datablock TSShapeConstructor(SpineMiteArmorDts)
{
	baseShape  = "./spine_mite.dts";
	sequence0  = "./spnmt_root.dsq root";

	sequence1  = "./spnmt_run.dsq run";
	sequence2  = "./spnmt_run.dsq walk";
	sequence3  = "./spnmt_back.dsq back";
	sequence4  = "./spnmt_side.dsq side";

	sequence5  = "./spnmt_crouch.dsq crouch";
	sequence6  = "./spnmt_crouchMove.dsq crouchRun";
	sequence7  = "./spnmt_crouchMove.dsq crouchBack";
	sequence8  = "./spnmt_crouchMove.dsq crouchSide";

	sequence9  = "./spnmt_root.dsq look";
	sequence10 = "./spnmt_root.dsq headside";
	sequence11 = "./spnmt_root.dsq headUp";

	sequence12 = "./spnmt_jump.dsq jump";
	sequence13 = "./spnmt_jump.dsq standjump";
	sequence14 = "./spnmt_fall.dsq fall";
	sequence15 = "./spnmt_root.dsq land";

	sequence16 = "./spnmt_attack.dsq armAttack";
	sequence17 = "./spnmt_root.dsq armReadyLeft";
	sequence18 = "./spnmt_root.dsq armReadyRight";
	sequence19 = "./spnmt_root.dsq armReadyBoth";
	sequence20 = "./spnmt_root.dsq spearready";  
	sequence21 = "./spnmt_spines_fire.dsq spearThrow";

	sequence22 = "./spnmt_attack.dsq talk";  

	sequence23 = "./spnmt_death.dsq death1"; 
	
	sequence24 = "./spnmt_attack.dsq shiftUp";
	sequence25 = "./spnmt_root.dsq shiftDown";
	sequence26 = "./spnmt_spit.dsq shiftAway";
	sequence27 = "./spnmt_root.dsq shiftTo";
	sequence28 = "./spnmt_root.dsq shiftLeft";
	sequence29 = "./spnmt_root.dsq shiftRight";
	sequence30 = "./spnmt_root.dsq rotCW";
	sequence31 = "./spnmt_root.dsq rotCCW";

	sequence32 = "./spnmt_attack.dsq undo";
	sequence33 = "./spnmt_spit.dsq plant";

	sequence34 = "./spnmt_death.dsq sit";

	sequence35 = "./spnmt_attack.dsq wrench";

   sequence36 = "./spnmt_attack.dsq activate";
   sequence37 = "./spnmt_attack.dsq activate2";

   sequence38 = "./spnmt_attack.dsq leftrecoil";
};    

//datablock AudioProfile(MitePainSound)
//{
//   fileName = "./mite_pain.wav";
//   description = AudioClose3d;
//   preload = true;
//};
//datablock AudioProfile(MiteDeathSound)
//{
//   fileName = "./mite_death.wav";
//   description = AudioClose3d;
//   preload = true;
//};

datablock PlayerData(SpineMiteArmor : PlayerStandardArmor)
{
//	category = Armor;
	shapeFile = "./spine_mite.dts";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 10;		//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;

	maxDamage = 130;	//160
	runforce = 70 * 150;
	maxForwardSpeed = 6.5;	//5
	maxBackwardSpeed = 5;	//5
	maxSideSpeed = 4;		//5
//	attackpower = 30;
	jumpsound = "";
	
    boundingBox				= vectorScale("1.65 1.65 0.65", 4); //"2.5 2.5 2.4" 
    crouchBoundingBox		= vectorScale("1.65 1.65 0.25", 4); //"2.5 2.5 2.4";
	proneBoundingBox		= vectorScale("1.65 1.65 0.65", 4); //"2.5 2.5 2.4";

	maxForwardCrouchSpeed = 1;
	maxBackwardCrouchSpeed = 1;
	maxSideCrouchSpeed = 1;

	mass = 150;

	jumpForce = 10.3 * 150; //9.3 * 90;
	jumpDelay = 0.1;	

	minImpactSpeed = 25;	//28
	speedDamageScale = 3;	//4.3

	maxStepHeight = 0.5;

	BrickDestroyMaxVolume = 150;
	BrickMaxJumpHeight = 10;
	uiName = "B4 Spine Mite";
	rideable = false;		//true
};